Search documentation of bb

# BB.Dsl.WildcardExpansionTransformer (bb v0.17.0)

Copy Markdown View Source

Expands `:*` wildcards in command `allowed_states` and `cancel` options.

This transformer:

- Expands `:*` in `allowed_states` to all defined states (including `:idle`, `:disarmed`)
- Expands `:*` in `cancel` to all defined categories (including `:default`)
- Runs after `StateTransformer` and `CategoryTransformer` so state/category lists are available

## Summary

### Functions

after_compile?()

Callback implementation for `Spark.Dsl.Transformer.after_compile?/0`.

## Functions

# after_compile?()

Callback implementation for `Spark.Dsl.Transformer.after_compile?/0`.